Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class TextLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.TextFormats
          info.bioinfweb.treegraph.document.format.TextLabelFormats

All Implemented Interfaces:
  ElementFormats, java.lang.Cloneable

Direct Known Subclasses:
  CharShiftFormats

    public class TextLabelFormats

extends TextFormats
implements ElementFormats, java.lang.Cloneable

Field Summary
`static float` | `DEFAULT_TEXT_HEIGHT_IN_MM`
`private LabelPositionFormats` | `positionFormats`

Fields inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, ITALIC, PLAIN, UNDERLINE`

Constructor Summary
`TextLabelFormats(Label owner)`
`TextLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`TextLabelFormats` | `clone()`
`LabelPositionFormats` | `getPositionFormats()`
`void` | `setPositionFormats(LabelPositionFormats positionFormats)`

Methods inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`addTextStyle, assignTextFormats, getDecimalFormat, getDescent, getFont, getFontName, getLocale, getTextColor, getTextHeight, getTextStyle, hasTextStyle, removeTextStyle, setDecimalFormat, setFontName, setLocale, setTextColor, setTextStyle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TEXT_HEIGHT_IN_MM

    public static final float DEFAULT_TEXT_HEIGHT_IN_MM

See Also:
  Constant Field Values

### positionFormats

    private LabelPositionFormats positionFormats

Constructor Detail

### TextLabelFormats

    public TextLabelFormats(Label owner)

### TextLabelFormats

    public TextLabelFormats(Label owner,
                            boolean above,
                            int line,
                            int linePosition)

Method Detail

### getPositionFormats

    public LabelPositionFormats getPositionFormats()

### setPositionFormats

    public void setPositionFormats(LabelPositionFormats positionFormats)

### clone

    public TextLabelFormats clone()

  Specified by:
    `clone` in interface `ElementFormats`
  Overrides:
    `clone` in class `TextFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD